{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
    <div class="section">
        <!-- container -->
        <div class="container">
            <!-- row -->
            <div class="row">

                <!-- section title -->
                <div class="col-md-12">
                    <div class="section-title">


                        <form method="post">
                            {% if error %}
                                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                            {% endif %}

                            {% if app.user %}
                                <div class="mb-3">
                                    You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                                </div>
                            {% endif %}

                            <h3 class="title">Veuillez s'identfier</h3>
                            <label for="inputUsername">Nom d'utilisateur</label>
                            <input type="text" value="{{ last_username }}" name="username" id="inputUsername"
                                   class="form-control"
                                   required autofocus>
                            <label for="inputPassword">Mot de passe</label>
                            <input type="password" name="password" id="inputPassword" class="form-control" required>

                            <input type="hidden" name="_csrf_token"
                                   value="{{ csrf_token('authenticate') }}"
                            >

                            {#
                            Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                            See https://symfony.com/doc/current/security/remember_me.html

                            <div class="checkbox mb-3">
                                <label>
                                    <input type="checkbox" name="_remember_me"> Remember me
                                </label>
                            </div>
                            #}

                            <button class="btn btn-lg primary-btn" style="margin-top: 20px; margin-bottom: 20px"
                                    type="submit">
                                S'identifier
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
